package livelock;
public class Produttore implements Runnable {
	private Prodotto pr;
	private boolean endLoop;
	
	public Produttore(Prodotto pr) {
		this.pr = pr;
		this.endLoop = false;
	}
	
	@Override
	public void run() {
		try {
			while(this.endLoop == false) {
				pr.produci();
				System.out.println("Produttore");
				Thread.sleep(100);
			}
			System.out.println("Fine Produttore");
		}  catch(InterruptedException ex) {
			ex.printStackTrace();
			System.out.println(ex.getMessage());
		} 
	}
	
	/**
	 * Per terminare l'esecuzione di un thread
	 */
	public void stop() {
		this.endLoop = true;
	}
	
}